import React from 'react'
import { Render } from './components'

interface Props {
  start: boolean
  appData?: VixonicData
  anniversaries: Anniversary[]
}

export const App: React.FunctionComponent<Props> = ({ start, appData, anniversaries }) => {

  if (!appData) return null

  return (
    <Render appData={appData} start={start} anniversaries={anniversaries} />
  )
}
